Bug 1241558 - sub-components should have a dependency on main package
Summary: sub-components should have a dependency on main package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: root
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-09 13:32 UTC by Ricardo
Modified: 2015-10-12 19:59 UTC (History)
2 users (show)

Fixed In Version: root-5.34.32-3.fc23 root-5.34.32-3.fc22 root-5.34.32-3.fc21 root-5.34.32-3.el5 root-5.34.32-3.el6 root-5.34.32-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-03 17:37:35 UTC


Attachments (Terms of Use)

Description Ricardo 2015-07-09 13:32:01 UTC
Description of problem:
If one has installed an old version of ROOT and later installs an optional component package (eg, root-fftw), we end up with the latest version of the component but 
the rest of the ROOT installation stays with the old version, leading to incompatibilities/warnings/etc.

This is a minor nag, but it would be better if the sub-components package (eg, root-fftw) carried a version dependency on the "main" package.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install root
2. Wait for a few months for a new ROOT version to be available in EPEL
3. Install root-fftw

Actual results:
root-fftw-$latestversion is installed along root-$oldversion

Expected results:
root-fftw-$latestversion is installed and root is updated to root-$lastestversion

Additional info:

Comment 1 Fedora Update System 2015-09-25 22:25:07 UTC
root-5.34.32-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5554af59fb

Comment 2 Fedora Update System 2015-09-25 22:25:13 UTC
root-5.34.32-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fe4826eeab

Comment 3 Fedora Update System 2015-09-25 22:25:18 UTC
root-5.34.32-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ca4f7796b4

Comment 4 Fedora Update System 2015-09-25 22:27:20 UTC
root-5.34.32-3.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0da928b47e

Comment 5 Fedora Update System 2015-09-25 22:27:24 UTC
root-5.34.32-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-de3b75a62e

Comment 6 Fedora Update System 2015-09-27 00:37:20 UTC
root-5.34.32-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update root'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-de3b75a62e

Comment 7 Fedora Update System 2015-09-27 00:54:28 UTC
root-5.34.32-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update root'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ca4f7796b4

Comment 8 Fedora Update System 2015-09-27 02:21:45 UTC
root-5.34.32-3.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update root'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b2a8b14ff1

Comment 9 Fedora Update System 2015-09-27 14:18:05 UTC
root-5.34.32-3.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update root'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0da928b47e

Comment 10 Fedora Update System 2015-09-27 16:19:46 UTC
root-5.34.32-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update root'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fe4826eeab

Comment 11 Fedora Update System 2015-09-27 16:20:11 UTC
root-5.34.32-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update root'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5554af59fb

Comment 12 Fedora Update System 2015-10-03 17:37:33 UTC
root-5.34.32-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-10-04 22:51:05 UTC
root-5.34.32-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-10-04 23:20:16 UTC
root-5.34.32-3.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-10-12 18:21:57 UTC
root-5.34.32-3.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-10-12 19:27:24 UTC
root-5.34.32-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-10-12 19:59:27 UTC
root-5.34.32-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.